# FieldPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FieldPhase`Abstract`

#### Hierarchy (View Summary)

- BattlePhase
  - FieldPhase
    - BerryPhase
    - CommandPhase
    - EnemyCommandPhase
    - LevelCapPhase
    - PartyMemberPokemonPhase
    - PokemonPhase
    - TurnEndPhase
    - TurnInitPhase
    - TurnStartPhase

- Defined in src/phases/field-phase.ts:7

##### Index

### Constructors

constructor

### Methods

end
executeForAll
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new FieldPhase(): FieldPhase

  #### Returns FieldPhase

  Inherited from BattlePhase.constructor

  - Defined in src/phases/battle-phase.ts:6

## Methods

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  - Defined in src/phases/field-phase.ts:8

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from BattlePhase.start

  - Defined in src/phase.ts:4